﻿<div class="container">
    <ol class="breadcrumb">
        <li><a href="/#/historique">Historique par praticien</a></li>
        <li class="active">Historique de {{ historique.praticien.Prenom }} {{ historique.praticien.Nom | uppercase }}</li>
    </ol>

    <div class="panel panel-info">
        <div class="panel-heading cliquable" data-toggle="collapse" data-target="#infosPraticien" ng-click="clickedInfos = !clickedInfos" ng-init="clickedInfos = true">
            Informations sur le praticien
            <span class="glyphicon pull-right" ng-class="{ 'glyphicon-chevron-up': clickedInfos, 'glyphicon-chevron-down': !clickedInfos }"></span>
        </div>
        <div class="collapse in" id="infosPraticien">
            <div class="panel-body">
                <div class="col-md-6">
                    <ul class="list-group">
                        <li class="list-group-item"><strong>Nom</strong> <span class="pull-right">{{ historique.praticien.Nom }}</span></li>
                        <li class="list-group-item"><strong>Prénom</strong> <span class="pull-right">{{ historique.praticien.Prenom }}</span></li>
                        <li class="list-group-item"><strong>Adresse</strong> <span class="pull-right">{{ historique.praticien.Adresse }}</span></li>
                        <li class="list-group-item"><strong>Ville</strong> <span class="pull-right">{{ historique.praticien.CodePostal }} {{ historique.praticien.Ville }}</span></li>
                        <li class="list-group-item"><strong>Région/Secteur</strong> <span class="pull-right">{{ historique.praticien.Secteur.Region.Nom }} {{ historique.praticien.Secteur.Nom }}</span></li>
                    </ul>
                </div>
                <div class="col-md-6">
                    <ul class="list-group">
                        <li class="list-group-item"><strong>Opinions syndicales</strong> <span class="pull-right">{{ historique.praticien.OpinionSyndicale }}</span></li>
                        <li class="list-group-item"><strong>Coefficient de notoriété</strong><span class="pull-right">{{ historique.praticien.CoefficientNotoriete }}</span></li>
                        <li class="list-group-item"><strong>Nombre de commandes</strong> <span class="pull-right">{{ historique.praticien.Commandes.length }}</span></li>
                        <li class="list-group-item"><strong>Total payé</strong> <span class="pull-right">{{ historique.praticien.TotalPaye | currency: '€' }}</span></li>
                    </ul>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>

    <div class="panel panel-default">
        <div class="panel-heading cliquable" data-toggle="collapse" data-target="#historiqueCommandes" ng-click="clickedCommandes = !clickedCommandes" ng-init="clickedCommandes = true">
            Historique des commandes
            <span class="glyphicon pull-right" ng-class="{ 'glyphicon-chevron-up': clickedCommandes, 'glyphicon-chevron-down': !clickedCommandes }"></span>
        </div>

        <div class="table-responsive collapse in" id="historiqueCommandes">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Date</th>
                        <th>Commercial</th>
                        <th>Prix</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="cliquable" ng-repeat="commande in historique.praticien.Commandes" ng-click="historique.detailCommande(commande)">
                        <td>{{ commande.Id }}</td>
                        <td>{{ commande.Date }}</td>
                        <td>{{ commande.VisiteurNom }} {{ commande.VisiteurPrenom }}</td>
                        <td>{{ commande.TotalFacture | currency: '€' }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>